<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.system.mapper.ExcelImportColumnRuleMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap"  extends="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.BaseResultMap"  type="com.storlead.system.pojo.entity.ExcelImportColumnRuleEntity">
            <id column="id" property="id" />
            <result column="export_template_id" property="exportTemplateId" />
            <result column="template_code" property="templateCode" />
            <result column="column_name" property="columnName" />
            <result column="column_field" property="columnField" />
            <result column="column_width" property="columnWidth" />
            <result column="interface_address_url" property="interfaceAddressUrl" />
            <result column="defualt_parameters" property="defualtParameters" />
            <result column="dict_code" property="dictCode" />
            <result column="order_num" property="orderNum" />
        </resultMap>

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
            id, export_template_id, template_code,dict_code,order_num, column_name, column_field, column_width, interface_address_url, defualt_parameters, <include refid="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.Base_Column_List"></include>
        </sql>

</mapper>
